﻿Imports System.Text.RegularExpressions

Public Class Plugin

    Public Sub StrReplace(ByRef rdObjects As rdPlugin.rdServerObjects)
        'Get Plugin Parameters for Regex
        Dim currText As String = rdObjects.PluginParameters("current")
        Dim replaceText As String = rdObjects.PluginParameters("replace")

        'Get the HTML (run from FinishHTML event)
        Dim sHtml As String = rdObjects.ResponseHtml
        Dim sRepHtml As String

        Try
            'Use RegEx to replace the text
            sRepHtml = Regex.Replace(sHtml, currText, replaceText, RegexOptions.IgnoreCase)
        Catch
            'Don't throw an error, just respond with the original HTML.
            sRepHtml = rdObjects.ResponseHtml
        End Try

        'Set the new HTML to the Response.
        rdObjects.ResponseHtml = sRepHtml

    End Sub

End Class
